import typeorm from "./typeorm";

typeorm.initialize().then(async () => {
    console.log("Datasource initialized.")

    console.log("Run database migrations.")
    typeorm.runMigrations().then(async () => {
        console.log("Migration run successfully.")
    }).catch(error => console.log(error))
}).catch(error => console.log(error))


export default typeorm.manager