import {Request, Response} from "express";
import {User} from "../entity/User";
import manager from "../config/manager";
import {JWTRequest} from "../types/JWTRequest";

class UserController {
    public async index(request: JWTRequest, response: Response) {

        const authorization = request.auth.user.id

        console.log(authorization)

        return response.json({
            message: 'Hello World! From user'
        })

        const user = new User()
        user.name = "Timber"
        user.email = "Saw@test.test"
        await manager.save(user)

        user.name = "update"
        await manager.save(user)

        return response.json({
            message: 'Hello World! From user'
        })

    }
    public async create(request: Request, response: Response) {
        return response.json({
            message: 'Hello World! From user'
        })
    }
}

export default UserController